package com.palmnest.webapp.quartz;

import com.palmnest.service.dinner.service.PlaceAnOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 清理餐品的缓存
 *
 * @author longmeizhen
 */
@Slf4j
@Component("cleanRedisTimerTask")
public class CleanRedisTimerTask {


	@Autowired
	private PlaceAnOrderService placeAnOrderService;

	private void run() {
		log.info("quartz into CleanRedisTimerTask start ...");
		placeAnOrderService.cleanRedisByOrgIds();
		log.info("quartz into CleanRedisTimerTask end ...");
	}
}
